Bug 1722843 - Review Request: python-happinesspacket_schema - A schema package for Fedora Happiness Packets
Summary: Review Request: python-happinesspacket_schema - A schema package for Fedora H...
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-NEEDSPONSOR
TreeView+ depends on / blocked
 
Reported: 2019-06-21 13:27 UTC by shraddha.agrawal000
Modified: 2019-07-12 15:35 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
zebob.m: fedora-review+


Attachments (Terms of Use)

Description shraddha.agrawal000 2019-06-21 13:27:44 UTC
This is my first package and I am seeking a sponsor. 

* Spec URL: https://github.com/ShraddhaAg/RPMs/blob/master/SPECS/happinesspacket_schema.spec
* SRPM URL: https://github.com/ShraddhaAg/RPMs/blob/master/SRPMS/happinesspacket_schema-0.1.2-1.fc29.src.rpm
* Description: A schema package for Fedora Happiness Packet for outgoing messages using fedora messaging. Please find the use case here: https://pagure.io/fedora-commops/fedora-happiness-packets
* Fedora Account System Username: shraddhaag

The package is also hosted on COPR in F29 and F30. 
https://copr.fedorainfracloud.org/coprs/shraddhaag/happinesspacket_schema/

Comment 1 Robert-André Mauchin 2019-06-21 15:32:17 UTC
 - Please read https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/ to see how to package Python library: you should have a python-%{pypi_name} main package and a Python 3 python3-%{pypi_name} subpackage

 - Use pyp2rpm to help you: pyp2rpm -b3 happinesspacket_schema

 - You must install the license file with %license in %files and you should install the README file with %doc:

%license LICENSE
%doc README

 - Use %{pypi_source}:

Source0: %{pypi_source}

 - Include your email in the %changelog entry:

* Sun May 26 2019 Shraddha Agrawal <shraddha.agrawal000@gmail.com> - 0.1.2-1

Comment 2 shraddha.agrawal000 2019-06-27 18:08:41 UTC
I have updated the package with the corrections. I would love to hear feedback

Comment 3 Gordon Messmer 2019-07-02 06:00:00 UTC
Hello, Shraddha.  I am also not yet sponsored, but I would like to offer some feedback which might help you get this package through the review process more quickly when a sponsored packager looks at it.  These are merely suggestions, but I believe that a reviewer will flag each of these issues:

* Please provide a link to the raw text file for the spec, and not to an HTML wrapper.

* Include changelog entries for each revision of your spec.

* Consider using this:
%{python3_sitelib}/%{pypi_name}-*.egg-info/
instead of this:
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
The latter may break if Python 3.10 is the version after 3.9.  The former is similar to the example here:
https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_example_python_spec_file

* You may be able to simplify the spec by removing "Requires:       python3dist(fedora-messaging) Requires:       python3dist(setuptools)" and allowing the dependency generator to handle those automatically, as long as you're not building for Fedora < 30.

* You might choose to simplify the spec by replacing "BuildRequires:  python3dist(fedora-messaging)" with "BuildRequires:  %{py3_dist fedora-messaging}"

* It may not be necessary to "rm -rf %{pypi_name}.egg-info" (https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/FOG5APDRQVNXR5ZOZZSVDNZVN4WURKG4/)

(I think that covers everything in https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/)

Comment 4 Robert-André Mauchin 2019-07-11 23:42:56 UTC
(In reply to shraddha.agrawal000 from comment #2)
> I have updated the package with the corrections. I would love to hear
> feedback

Update it with Gordon suggestions?

Comment 5 shraddha.agrawal000 2019-07-12 10:22:10 UTC
Thank you Gordon for the feedback. I have integrated the same.

Here is the raw text file for the SPEC: https://raw.githubusercontent.com/ShraddhaAg/RPMs/master/SPECS/happinesspacket_schema.spec

Comment 6 Robert-André Mauchin 2019-07-12 15:35:05 UTC
 - Your SPEC file should be named python-happinesspacket_schema.spec

 - Please separate your changelog entries by a newline

Package is approved, please fix the aforementioned issues before import.

You still need to find a sponsor: please read on

https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "GPL (v2 or later)". 15 files have
     unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/happinesspacket_schema/review-python-
     happinesspacket_schema/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-happinesspacket_schema-1.0.0-1.fc31.noarch.rpm
          python-happinesspacket_schema-1.0.0-1.fc31.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.


Note You need to log in before you can comment on or make changes to this bug.